%define Name KleanSweep
Name: kleansweep
Version: 0.2.9
Release: alt2
Summary: Tool for reclaim disk space by finding unneeded files
Summary(uk_UA.CP1251):         
Summary(ru_RU.CP1251):         
License: GPL
Group: System/Configuration/Other
URL: http://linux.bydg.org/~yogin/
#URL: http://www.kde-apps.org/content/show.php?content=28631
Source: %url%name-%version.tar.bz2
Patch0: %name-0.2.4-rpath.patch.gz
Patch1: %name-0.2.8-i18n.patch.gz
Patch2: %name-0.2.8-po.patch.bz2

# Automatically added by buildreq on Tue Jan 24 2006
BuildRequires: gcc-c++ kdelibs-devel libqt3-devel libstdc++-devel scons

%description
%Name allows you to reclaim disk space by finding unneeded files. It can
search for files basing on several criterias; you can seek for:
* empty files
* empty directories
* backup files
* broken symbolic links
* dead menu entries (.desktop files pointing to non-existing executables)
* duplicated files
* broken executables (executables in PATH with broken dependecies - e.g. missing
  libraries)
* orphaned files (files not found in RPM or DPKG database)
* obsolete thumbnails (thumbnails conforming to freedesktop.org standard,
  pointing to non-existing pictures) - requires 'identify' from ImageMagick
%Name consists of KDE-based graphical frontend and small helper Perl script
that performs actual searching. All searches, except for orphaned files,
duplicates and dead menu entries are as fast as usual 'find' would be.

%description -l uk_UA.CP1251
%Name        .
³   ,    :
*  
*  
*  
*   
*    (.desktop-,     )
*  
*   (    RPM  DPKG )
*   (    RPM  DPKG )
*  thumbnail' (    )
  (   freedesktop.org thumbnail',    
  ) -  identify  ImageMagick'.
KleanSweep    KDE-   
Perl-,     .  ,  
 ,      ,  ,  
   find.

%description -l ru_RU.CP1251
%Name       
.    ,    :
*  
*  
*  
*   
*    (    .desktop-)
*  
*  
*   (    RPM  DPKG )
*  thumbnail' (    )
  (   freedesktop.org thumbnail',   
   ) -  identify  ImageMagick'.
KleanSweep    KDE-   
Perl-,     .  , 
  ,      ,
 ,      find.


%package rootmode
Summary: Root mode for %Name
Summary(uk_UA.CP1251):    %Name
Summary(ru_RU.CP1251):    %Name
Group: System/Configuration/Other
Requires: %name >= 0.2.4
Requires: %_bindir/kdesu

%description  rootmode
Starting %Name with root privileges.

%description -l uk_UA.CP1251 rootmode
 %Name   .

%description -l ru_RU.CP1251 rootmode
 %Name   .


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
CFLAGS="%optflags" scons configure prefix=%_prefix
scons

%install
scons install DESTDIR=%buildroot
rm -rf %buildroot%_datadir/applnk
bzip2 --keep --force --best -- ChangeLog

#menu
%ifdef _desktopdir
install -d -m 0755 %buildroot%_desktopdir
sed -e '/^Categories=/ s/System;//' src/%name.desktop > %buildroot%_desktopdir/%name.desktop
iconv -f cp1251 -t utf-8 >> %buildroot%_desktopdir/%name.desktop <<__MENU__
Comment[uk]=    
Comment[ru]=    
__MENU__
sed -e '/^Categories=/ s/Utility;//'  \
    -e 's/%Name/& - root-mode/' \
    -e 's/^Exec=.*$/Exec=kdesu --nonewdcop -i %name -n -c %name/' \
    src/%name.desktop \
    > %buildroot%_desktopdir/%name-root.desktop
iconv -f cp1251 -t utf-8 >> %buildroot%_desktopdir/%name-root.desktop <<__MENU__
Name[uk]=%Name -  
Name[ru]=%Name -  
Comment[uk]=    
Comment[ru]=    
__MENU__
%else
install -d -m 755 %buildroot%_menudir
cat > %buildroot%_menudir/%name <<__MENU__
?package(%name): command="%name" needs="X11" \
icon="%name.png" section="%group" \
title="%Name" \
genericname="%Name" \
longtitle="Utility which finds unneeded files"
__MENU__
cat > %buildroot%_menudir/%name-root <<__MENU__
?package(%name): command="kdesu --nonewdcop -i %name -n -c %name" needs="X11" \
icon="%name.png" section="%group" \
title="%Name - root-mode" \
genericname="%Name - root-mode" \
longtitle="Utility which finds unneeded files"
__MENU__
%endif

%find_lang --with-kde %name


%post
%update_menus


%postun
%clean_menus


%files -f %name.lang
%doc AUTHORS ChangeLog.* README THANKS TODO
%_bindir/*
%_datadir/apps/%name
%_iconsdir/hicolor/*/apps/%name.png
%ifdef _desktopdir
%_desktopdir/%name.desktop
%else
%_menudir/%name
%endif


%files rootmode
%ifdef _desktopdir
%_desktopdir/%name-root.desktop
%else
%_menudir/%name-root
%endif


%changelog
* Mon Dec 04 2006 Led <led@altlinux.ru> 0.2.9-alt2
- fixed %{name}*.desktop files

* Tue Oct 31 2006 Led <led@altlinux.ru> 0.2.9-alt1
- 0.2.9

* Thu Jun 29 2006 Led <led@altlinux.ru> 0.2.8-alt2
- fixed kleansweep-0.2.8-po.patch (fixed lapsuses by me and some fixes
  from sam<at>vhnet.ru

* Thu May 11 2006 Led <led@altlinux.ru> 0.2.8-alt1
- 0.2.8
- cleaned up spec
- uk and ru translation in upstream now
- removed kleansweep-0.2.6-i18n.patch (merged to upstream)
- added kleansweep-0.2.8-i18n.patch
- added kleansweep-0.2.8-po.patch

* Tue Apr 19 2006 Led <led@altlinux.ru> 0.2.7-alt3
- added "%Name - root-mode" to menu
- added %name-rootmode package
- fixed spec

* Wed Mar 29 2006 Led <led@altlinux.ru> 0.2.7-alt2
- updeted uk and ru translation

* Thu Mar 23 2006 Led <led@altlinux.ru> 0.2.7-alt1
- 0.2.7
- added uk translation
- added kleansweep-0.2.6-i18n.patch
- fix spec
- change URL from www.kde-apps.org to project's HomePage
- added ru translation

* Mon Feb 27 2006 Led <led@altlinux.ru> 0.2.6-alt1
- 0.2.6

* Wed Feb 22 2006 Led <led@altlinux.ru> 0.2.5-alt1
- 0.2.5

* Thu Jan 26 2006 Led <led@altlinux.ru> 0.2.4-alt2
- specified URL

* Tue Jan 24 2006 Led <led@altlinux.ru> 0.2.4-alt1
- initial build
